Bug 1125409 - Docker Enablement for RHEL 7
Summary: Docker Enablement for RHEL 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pykickstart
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Chris Lumens
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On: RHEL7CCC 1123479 1144140 1172004
Blocks: 1155149 1190764
TreeView+ depends on / blocked
 
Reported: 2014-07-31 18:32 UTC by Jay Greguske
Modified: 2015-03-05 08:18 UTC (History)
8 users (show)

Fixed In Version: pykickstart-1.99.43.13-1
Doc Type: Known Issue
Doc Text:
Cause: pykickstart does not default to the Red Hat Enterprise Linux 7 version of kickstart syntax. Consequence: using features such as bootloader --disabled and %packages --nocore result in errors, because they were not supported in the version pykickstart defaults to. Workaround (if any): Pass --version=RHEL7 to all tools shipped with pykickstart, or pass version=RHEL7 if using pykickstart as a library. Result: Works as desired.
Clone Of: 1123479
: 1190764 (view as bug list)
Environment:
Last Closed: 2015-03-05 08:18:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0353 normal SHIPPED_LIVE pykickstart bug fix and enhancement update 2015-03-05 12:39:34 UTC

Description Jay Greguske 2014-07-31 18:32:44 UTC
+++ This bug was initially created as a clone of Bug #1123479 +++

To support Anaconda building Docker™ images, a handful of feature enhancements should be merged into RHEL:

- disable kernel installation
- disable installation of the boot loader
- prevent installing @core
- limit the installation of localization packages and documentation

The kickstart syntax introduced with these feature enhancements allows us to generate very minimal base images.

Comment 2 Alexander Todorov 2014-08-13 10:47:37 UTC
(In reply to Jay Greguske from comment #0)
> 
> The kickstart syntax introduced with these feature enhancements allows us to
> generate very minimal base images.

What is going to be this syntax ? QE can't test if we don't know what. Please provide more info.

Comment 3 Chris Lumens 2014-08-13 15:13:02 UTC
From a pykickstart perspective, it is only the following:

* Add bootloader --disabled, which just skips installation of the bootloader package and the bootloader to disk.

* Add %packages --nocore, which acts just like --nobase except for the core group.

For anaconda (bug 1123479) it means making sure the above work on the anaconda side, plus the following:

* Don't fail if firewalld and authconfig are not installed.

* Fix %packages --instLangs=.

Comment 4 Alexander Todorov 2014-09-09 07:29:45 UTC
QE note:

for expected testing results see the relevant RHEL 6 bug:
https://bugzilla.redhat.com/show_bug.cgi?id=1125410#c11

Comment 6 Chris Lumens 2014-10-21 13:57:53 UTC
That's an anaconda bug, which you can clearly tell from the traceback, so please do not reopen this bug.  Further, if you'd do some research, you'd find bug 1147687 against anaconda which is currently in ON_QA which will take care of this.  So again, this is just a pykickstart bug and as long as the pykickstart portion of comment #3 is working, this bug is fine.  Putting back into MODIFIED.

Comment 10 Ladislav Jozsa 2015-01-28 19:25:24 UTC
Attempted to verify with pykickstart-1.99.43.17-1.el7.noarch, RHEL-7.1-20150122.0.

# ksvalidator ./ks-r7-min.cfg 
The following problem occurred on line 9 of the kickstart file:

no such option: --disabled


# cat ./ks-r7-min.cfg
#version=RHEL7
keyboard --vckeymap=us --xlayouts='us'
lang en_US.UTF-8
rootpw --plaintext redhat
timezone America/New_York --isUtc
zerombr
clearpart --all --initlabel 
autopart
bootloader --disabled

%packages --nocore --instLangs=.
httpd
-kernel
%end


Moving back to assigned.

Comment 11 Chris Lumens 2015-01-28 22:57:45 UTC
I'm going to need to do another patch to update pykickstart so that the RHEL7 version is the default version.  For now, you can use --version=RHEL7 for ksvalidator and other tools and continue testing.  Please do so and let me know if there are other problems so I can keep rebuilds to a minimum.  Thanks.

Comment 12 Chris Lumens 2015-01-28 23:17:26 UTC
Note that this didn't come up in development because anaconda sets the kickstart version to RHEL7 itself.

Comment 13 Ladislav Jozsa 2015-01-29 10:14:44 UTC
(In reply to Chris Lumens from comment #11)
> I'm going to need to do another patch to update pykickstart so that the
> RHEL7 version is the default version.  For now, you can use --version=RHEL7
> for ksvalidator and other tools and continue testing.  Please do so and let
> me know if there are other problems so I can keep rebuilds to a minimum. 
> Thanks.

Tested with --version=RHEL7 and it worked fine. Moving to verified.

Comment 14 Chris Lumens 2015-02-04 15:56:36 UTC
I need this bug to be marked as an exception or blocker in order to apply the patch I mentioned in comment #11 to make sure that the workaround used in comment #13 doesn't need to happen.

Comment 15 Chris Lumens 2015-02-09 15:25:46 UTC
Okay, well, I'm not going to be able to fix that issue until 7.2 it looks like.  Luckily anaconda should be using the correct syntax version.  We should probably document --version=RHEL7 somewhere.

Comment 17 errata-xmlrpc 2015-03-05 08:18:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0353.html


Note You need to log in before you can comment on or make changes to this bug.